GDB (xrefs)

Public Attributes | List of all members
_param_smob Struct Reference

## Public Attributes
gdb_smob | base
char * | name
char * | cmd_name
enum command_class | cmd_class
enum var_types | type
char * | set_doc
char * | show_doc
char * | doc
struct cmd_list_element * | set_command
struct cmd_list_element * | show_command
union pascm_variable | value
const char *const * | enumeration
SCM | set_func
SCM | show_func
SCM | containing_scm

## Detailed Description

Definition at line 62 of file scm-param.c.

## Member Data Documentation

## ◆ base

gdb_smob _param_smob::base

Definition at line 65 of file scm-param.c.

## ◆ cmd_class

enum command_class _param_smob::cmd_class

Definition at line 76 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_register_parameter_x(), and pascm_make_param_smob().

## ◆ cmd_name

char* _param_smob::cmd_name

Definition at line 73 of file scm-param.c.

Referenced by gdbscm_register_parameter_x().

## ◆ containing_scm

SCM _param_smob::containing_scm

Definition at line 111 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_register_parameter_x(), pascm_set_func(), and pascm_show_func().

## ◆ doc

char* _param_smob::doc

Definition at line 84 of file scm-param.c.

Referenced by gdbscm_make_parameter(), and gdbscm_register_parameter_x().

## ◆ enumeration

const char* const* _param_smob::enumeration

Definition at line 97 of file scm-param.c.

Referenced by gdbscm_make_parameter(), and gdbscm_set_parameter_value_x().

## ◆ name

char* _param_smob::name

Definition at line 68 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_register_parameter_x(), pascm_print_param_smob(), and pascm_set_func().

## ◆ set_command

struct cmd_list_element* _param_smob::set_command

Definition at line 89 of file scm-param.c.

Referenced by gdbscm_register_parameter_x(), and pascm_is_valid().

## ◆ set_doc

char* _param_smob::set_doc

Definition at line 82 of file scm-param.c.

Referenced by gdbscm_make_parameter(), and gdbscm_register_parameter_x().

## ◆ set_func

SCM _param_smob::set_func

Definition at line 102 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_register_parameter_x(), pascm_make_param_smob(), and pascm_set_func().

## ◆ show_command

struct cmd_list_element* _param_smob::show_command

Definition at line 90 of file scm-param.c.

Referenced by gdbscm_register_parameter_x().

## ◆ show_doc

char* _param_smob::show_doc

Definition at line 83 of file scm-param.c.

Referenced by gdbscm_make_parameter(), and gdbscm_register_parameter_x().

## ◆ show_func

SCM _param_smob::show_func

Definition at line 106 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_register_parameter_x(), pascm_make_param_smob(), and pascm_show_func().

## ◆ type

enum var_types _param_smob::type

Definition at line 79 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_parameter_value(), gdbscm_register_parameter_x(), gdbscm_set_parameter_value_x(), pascm_make_param_smob(), and pascm_print_param_smob().

## ◆ value

union pascm_variable _param_smob::value

Definition at line 93 of file scm-param.c.

Referenced by gdbscm_make_parameter(), gdbscm_parameter_value(), gdbscm_set_parameter_value_x(), and pascm_print_param_smob().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-param.c